﻿using jnbridge.jmsadapter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.Text;
using System.Threading.Tasks;

namespace WcfJmsListener
{
    [ServiceContract(Namespace = "jms://JNBridge.JMSAdapter/Service")]
    interface IWcfJmsSvc
    {
        [OperationContract]
        bool MessageAvailable();

        [OperationContract]
        JMSMessage GetMessage();

        [OperationContract]
        void PublishMessage(string destination, string text);
    }
}
